## python-iow 1.0.8

=== Makefile ===
libbitarr.a: 
	cd BitArray && $(MAKE)
	make -C BitArray -f Makefile

build: libbitarr.a
	python setup.py build_ext --inplace

test: build
	python -c "from bp._binary_tree import test_binary_tree; test_binary_tree()"
	python cdef_bp_tests.py
	nosetests

clean:
	rm -fr bp/*.so bp/*.c
	rm -fr build

## python-iow 1.0.5

=== debian/changelog ===
python-iow (1.0.5-3) unstable; urgency=medium

  * Build-Depends: python3-all-dev to enable all supported Python3 versions

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 20:40:22 +0100

python-iow (1.0.5-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 07:35:40 +0100

python-iow (1.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #1021378)

 -- Andreas Tille <tille@debian.org>  Fri, 07 Oct 2022 09:00:47 +0200

=== debian/control ===
Source: python-iow
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cython3,
               libbitarray-dev,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               python3-pandas <!nocheck>,
               python3-skbio <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/python-iow
Vcs-Git: https://salsa.debian.org/med-team/python-iow.git
Homepage: https://github.com/biocore/improved-octo-waddle
Rules-Requires-Root: no

Package: python3-iow
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: balanced parentheses tree structure
 This Python3 module is an implementation of the balanced parentheses
 tree structure as described by Cordova and Navarro.

## python-iow 1.0.6

=== debian/changelog ===
python-iow (1.0.6-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 11:47:12 +0000

python-iow (1.0.6-4) unstable; urgency=medium

  * Team upload

  [ Komolehin Israel Timilehin ]
  * Added patch to fix tests
  * Added Autopkgtest (Closes: #1035258)

  [ Andreas Tille ]
  * Drop unused paragraph from d/copyright
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Sat, 23 Dec 2023 17:04:39 +0000

python-iow (1.0.6-3) unstable; urgency=medium

  * Team upload
  * Drop the runtime dependency on Cython

 -- Graham Inggs <ginggs@debian.org>  Sun, 10 Dec 2023 14:04:58 +0000

python-iow (1.0.6-2) unstable; urgency=medium

  * Versioned Build-Depends: python3-skbio (>= 0.5.8-3~)
    Closes: #1030181

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 13:48:52 +0100

python-iow (1.0.6-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.6
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 17:31:19 +0530

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                cython3,
                libbitarray-dev,
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
                python3-pandas <!nocheck>,
-               python3-skbio <!nocheck>
-Standards-Version: 4.6.1
+               python3-skbio (>= 0.5.8-3~) <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-iow
 Vcs-Git: https://salsa.debian.org/med-team/python-iow.git
 Homepage: https://github.com/biocore/improved-octo-waddle

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-iow
Restrictions: allow-stderr

## python-iow 1.0.7

=== debian/changelog ===
python-iow (1.0.7-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:38:39 +0000

python-iow (1.0.7-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 14:59:22 +0000

python-iow (1.0.7-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 09:53:27 +0100

python-iow (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * d/copyright: commented about multifurcation GPL code.
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * no-runtime-cython.patch: refresh.
  * d/t/control: autopkgtest depends on python3-all.

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Aug 2024 11:48:42 +0200

python-iow (1.0.6-5) unstable; urgency=medium

  * Team upload.
  * Drop the runtime dependency on Nose

 -- Alexandre Detiste <tchet@debian.org>  Fri, 03 May 2024 12:29:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                cython3,
@@ -12,7 +13,7 @@
                python3-numpy,
                python3-pandas <!nocheck>,
                python3-skbio (>= 0.5.8-3~) <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-iow
 Vcs-Git: https://salsa.debian.org/med-team/python-iow.git
 Homepage: https://github.com/biocore/improved-octo-waddle

## python-iow 1.0.8

=== debian/changelog ===
python-iow (1.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 03 Sep 2025 12:04:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-iow
-Section: science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
+Section: science
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                cython3,
@@ -12,8 +12,8 @@
                python3-setuptools,
                python3-numpy,
                python3-pandas <!nocheck>,
-               python3-skbio (>= 0.5.8-3~) <!nocheck>
-Standards-Version: 4.7.0
+               python3-skbio <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-iow
 Vcs-Git: https://salsa.debian.org/med-team/python-iow.git
 Homepage: https://github.com/biocore/improved-octo-waddle

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-iow, python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/biocore/improved-octo-waddle/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
